# 모든필드 값 조회

### 해당 API는 구버전입니다. 신규 API 인[ 문서 정보 조회 API](https://api.esignon.net/workflow/view/workflowinfo) 를 사용하세요.

* 문서 ID를 받아 해당 문서 내 모든 필드값을 조회합니다.

## Export field

<mark style="color:green;">`POST`</mark> `https://docs.esignon.net/exportfield`

문서 내 모든 필드값을 조회합니다.

#### Headers

| Name          | Type   | Description                          |
| ------------- | ------ | ------------------------------------ |
| Content-Type  | string | application/json                     |
| Authorization | string | esignon {token} / 값 입력시 띄어쓰기는 필수입니다. |

#### Request Body

| Name         | Type   | Description |
| ------------ | ------ | ----------- |
| workflow\_id | string | 문서 ID       |

{% tabs %}
{% tab title="200 Response Body 예시)" %}

```javascript
{
    "header":{
        "response_code": "",
        "result_code": "00",
        "result_msg": "Success",
        "session_id": ""
    },
    "body":{
        "field_data":{
            "{필드명}": "{필드값}",
            "{필드명}": "{필드값}"......
        },
        "sender_email": "{문서 생성자 Email}",
        "start_date": "{문서 생성 시간}",
        "status": "{현재 문서의 상태}",
        "workflow_id": "{문서 ID}",
        "workflow_name": "{문서 제목}",
        "doc_uid": "{서식 ID}"
    }
}
```

{% endtab %}
{% endtabs %}

### Parameter Info

| **Name** | **Value** | **Description**  |
| -------- | --------- | ---------------- |
| status   | Playing   | 진행중              |
|          | Canceled  | 취소               |
|          | Complete  | 완료               |
|          | Disposal  | 폐기               |
|          | Truncate  | (취소 상태 후 삭제한 경우) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/kor_20210407/workflow/view/searchall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
